# GNUmakefile          Section: NONE, support algorithm
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS =

HEADERS = loop-ps.h
LOBJS   = loop-ps.o

SOURCES	= loop-ps.h  loop-ps.c  test-loops.c
TESTS	= test-loops

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH =
XTRAFLAGS =
XTRACCFLAGS =

# Make this nothing if you do not want programs striped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################

include ../../gnumake.iah

#######################################################################

loop-ps.o:	loop-ps.c loop-ps.h

test-loops.o: test-loops.c

test-loops:	test-loops.o loop-ps.o
	${LINK.cc} -o $@ $@.o loop-ps.o ${LDLIBS}
	strip $@
